Skip to main content
POST
Performance compare

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
object_ids
string[]
required

IDs of campaigns/ad sets/ads to compare

Required array length: 2 - 10 elements
level
enum<string>
required

Level of objects being compared

Available options:
campaign,
adset,
ad
date_preset
enum<string>

Date preset for comparison

Available options:
today,
yesterday,
last_3d,
last_7d,
last_14d,
last_28d,
last_30d,
last_90d,
this_week_mon_today,
this_week_sun_today,
last_week_mon_sun,
last_week_sun_sat,
this_month,
last_month,
this_quarter,
last_quarter,
this_year,
last_year,
maximum,
data_maximum
time_range
object

Custom date range for comparison

metrics
string[]

Metrics to compare

Response

200 - application/json

Success